/* CSS import */

@import url('form.css');
@import url('login.css');
@import url('sing-up.css');
@import url('selection.css');
@import url('formulate.css');
@import url('request-offer.css');
@import url('slider.css');

/* Font style */

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* Root */

:root {
  --main-bg-color: #fff;
  --white: #fff;
  --black: #1d1d1d;
  --orange: #FF5C00;
  --dark-orange: #e95705;
  --red: #FF1D21;
  --gray: #b2b2b2;
  --light-gray: #f9f9f9;
  --lighter-gray: #c5c5c5;
  --dark-gray: #676767;
  --yellow: #fffb00;
  --blue: #00B2FF;


  --main-text-color: #696969;
  --border-color: #c9c9c9;

  --box-shadow: #cdcdcd;

}

*, *::before, *::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

*:focus-visible {
  outline: none;
}

html {
  height: 100%;
}

body {
  position: relative;
  margin: 0;
  padding: 0;
  font-family: "Poppins", serif;
  font-size: 15px;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  line-height: 1.2;
  background-color: var(--main-bg-color);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  height: 100%;
}

/* Modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 999;
}

.modal-content {
  background-color: white;
  padding: 15px;
  border-radius: 10px;
  text-align: center;
  width: 90%;
  max-width: 450px;
  position: relative;
  color: var(--dark-gray);
}

.modal-content .modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

.modal-content a {
  font-weight: 600;
  font-size: 18px;
  text-decoration: underline;
  color: var(--black);
}

.close {
  font-size: 30px;
  cursor: pointer;
  color: var(--dark-gray);
}

.cl-msg-wrap {
  display: flex;
  flex-direction: column;
  align-items: start;
}

.cl-msg-wrap span {
  font-size: 14px;
  font-weight: 500;
}

.close:hover {
  color: red;
}

.cl-msg-area {
  width: 100%;
  min-height: 80px;
  margin: 0 0 10px;
  padding: 10px;
  border-radius: 5px;
  border: 1px solid var(--border-color);
  text-align: start;
  font-size: 15px;
}

textarea {
  width: 100%;
  height: 100%;
  resize: none;
  border: none;
  padding: 0;
  text-align: start;
}

.cl-chat-btn {
  display: flex;
  justify-content: end;
  gap: 10px;
  margin-top: 10px;
}

/* Global */

main {
  position: relative;
  width: 100%;
  height: 100%;
  background-color: var(--main-bg-color);
}

.cl-container {
  position: relative;
  width: 100%;
  height: auto;
  padding: 0 8px;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-content: stretch;
  align-items: center;
  max-width: 1320px;
  margin: 10px auto;
  gap: 15px;
}

.cl-container.cl-h {
  height: 100%;
  padding-top: unset;
}

.cl-page-title {
  font-size: 20px;
  font-weight: 500;
  border-bottom: 1px solid var(--border-color);
  padding: 20px 0 8px;
  width: 100%;
  text-align: start;
}

#cl-hub {
  width: 100%;
  height: 100%;
}

a {
  text-decoration: none;
}

input[type="date"] {
  display: block; 
}

.icon-circle:before {
  color: var(--yellow);
}

/* .cl-group {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 100%;
} */

.cl-img {
  width: 100%;
}

/* Add section */

.cl-add {
  width: 100%;
  border-radius: 10px;
  overflow: hidden;
}

/* Header Nav */
.cl-header-nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  width: 100%;
  max-width: 800px;
}

.cl-header-nav .cl-btn {
  width: 100%;
}

.cl-chatbox {
  margin-top: 20px;
}

/* Footer */

.cl-footer {
  display: flex;
  padding: 20px 0;
  align-items: center;
  justify-content: flex-end;
  width: 100%;
  gap: 10px;
}

@media (max-width: 991px) {

  .cl-container.cl-footer-one-row {
    padding-bottom: 70px;
  }

  .cl-container.cl-footer-two-row {
    padding-bottom: 120px;
  }

  .cl-footer {
    display: flex;
    position: fixed;
    bottom: 0;
    z-index: 988;
    background-color: var(--white);
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
    padding: 10px 15px;
    flex-wrap: wrap;
    justify-content: space-between;
    z-index: 995;
  }

  .cl-footer button {
    /* width: 100%; */
    flex: 1 48%;
  }
}